petsc-3.4.2 2013-07-02

# PetscSynchronizedFPrintf

Prints synchronized output to the specified file from several processors. Output of the first processor is followed by that of the second, etc.

### Synopsis

    PetscErrorCode  PetscSynchronizedFPrintf(MPI_Comm comm,FILE *fp,const char format[],...)

Not Collective

### Input Parameters

| comm | - the communicator
| fd | - the file pointer
| format | - the usual printf() format string

### Notes

REQUIRES a intervening call to PetscSynchronizedFlush() for the information from all the processors to be printed.

### See Also

PetscSynchronizedPrintf(), PetscSynchronizedFlush(), PetscFPrintf(),
PetscFOpen(), PetscViewerASCIISynchronizedPrintf(), PetscViewerASCIIPrintf()

Level:intermediate
Location:src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages